RPC.RSTATD(8)

NAME
rpc.rstatd, rstatd - kernel statistics server

SYNOPSIS
/usr/libexec/rpc.rstatd [interval]

DESCRIPTION
rpc.rstatd is a server which returns performance statistics obtained from the kernel. These statistics are read using the rup(1) command. The rpc.rstatd daemon is normally invoked by inetd(8).

The interval argument specifies the number of seconds that rpc.rstatd should stay active, updating its internal statistics every second. If no value is specified, 20 seconds will be used. After interval seconds with no new RPC requests, if rpc.rstatd was invoked from inetd(8), rpc.rstatd exits. Otherwise, rpc.rstatd loops, becoming dormant until it receives a new RPC request, and staying active until interval seconds pass with no new requests.

rpc.rstatd uses an RPC protocol defined in /usr/include/rpcsvc/rstat.x.

SEE ALSO
rup(1), inetd(8)